Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.command
Interface CommandRunner

All Known Implementing Classes:
  SingleThreadCommandRunner, ThreadPerCommandRunner

public interface CommandRunner

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 23/06/2006
     Modification          :

     Description  : A runner for Jython commands that abstracts away the threading model.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Colin Crist, colincrist@hermesjms.com | Contribution integrated by Sebastien Jourdain, jourdain@artenum.com

Version:
  0.1
Author:
  Colin Crist, colincrist@hermesjms.com, Sebastien Jourdain

Method Summary
`void` | `invokeLater(Command command)` Invoke a command asynchronously.
`void` | `reset()` Stop any currently executing commands and reset the runner to its initial state, the runner can still be used.
`void` | `stop()` Stop the runner and frees any resources e.g. threads, once stopped it cannot be reused.

Method Detail

### invokeLater

    public void invokeLater(Command command)

  Invoke a command asynchronously.

  Parameters:
    `command` -

### reset

    public void reset()

  Stop any currently executing commands and reset the runner to its initial state, the runner can still be used.

### stop

    public void stop()

  Stop the runner and frees any resources e.g. threads, once stopped it cannot be reused.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com